> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model image build logs

> Get model image build logs for streaming



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/registeredmodels/v1/{modelName}/versions/{modelVersion}/builds/{buildId}/logs
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/registeredmodels/v1/{modelName}/versions/{modelVersion}/builds/{buildId}/logs:
    get:
      tags:
        - RegisteredModels
      summary: Get model image build logs
      description: Get model image build logs for streaming
      operationId: getModelImageBuildLogs
      parameters:
        - in: path
          name: modelName
          required: true
          schema:
            type: string
        - in: path
          name: modelVersion
          required: true
          schema:
            type: string
        - in: path
          name: buildId
          required: true
          schema:
            pattern: ^[a-f\d]{24}$
            type: string
        - in: query
          name: sinceTimeNano
          required: false
          schema:
            format: int64
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelImageBuildLogsV1'
          description: Model image build logs
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    ModelImageBuildLogsV1:
      properties:
        buildId:
          pattern: ^[a-f\d]{24}$
          type: string
        buildStatus:
          enum:
            - Queued
            - Starting
            - Building
            - Succeeded
            - Failed
            - Killed
          type: string
        logs:
          items:
            $ref: '#/components/schemas/BuildLogLineV1'
          type: array
        modelName:
          type: string
        modelVersion:
          type: string
      required:
        - modelName
        - modelVersion
        - buildId
        - buildStatus
        - logs
      type: object
    BuildLogLineV1:
      properties:
        log:
          type: string
        streamType:
          type: string
        tags:
          items:
            $ref: '#/components/schemas/BuildLogTagV1'
          type: array
        timeNano:
          format: int64
          type: integer
        timestamp:
          format: int64
          type: integer
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    BuildLogTagV1:
      properties:
        key:
          type: string
        value:
          type: string
      type: object
  responses:
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````